# Orders

- [Create market order](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/orders/create-market-order.md): This endpoint allows users to create a new market order with optional take profit and stop loss levels.
- [Create limit order](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/orders/create-limit-order.md): This endpoint allows users to create a new limit order with optional take profit and stop loss levels.
- [Create stop order](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/orders/create-stop-order.md): This endpoint allows users to create stop order.
- [Create position TP/SL](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/orders/create-position-tp-sl.md): This endpoint allows users to set take profit and stop loss levels for an existing position.
- [Cancel order](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/orders/cancel-order.md): This endpoint allows users to cancel an existing order.
- [Cancel all orders](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/orders/cancel-all-orders.md): This endpoint allows users to cancel all orders for all/given symbol(s).
- [Cancel stop order](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/orders/cancel-stop-order.md): This endpoint allows users to cancel a stop order by its (CL)OID.
- [Edit order](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/orders/edit-order.md): This endpoint allows users to edit an existing limit order by modifying its size and/or price.
- [Batch order](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/orders/batch-order.md): This endpoint allows users to submit multiple order operations in a single request. Batched orders are executed in the order they are batched in, and will not be split up by other users' orders.
- [Get open orders](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/orders/get-open-orders.md): This endpoint allows users to get open orders on their account.
- [Get order history](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/orders/get-order-history.md): This endpoint allows users to get a summarized order history.
- [Get order history by ID](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/orders/get-order-history-by-id.md): This endpoint allows users to get order history by id.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/orders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
